# eric3.Project.AddFoundFilesDialog

Module implementing a dialog to show the found files to the user.

### Classes

AddFoundFilesDialog | Class implementing a dialog to show the found files to the user.

### Functions

None

## AddFoundFilesDialog

Class implementing a dialog to show the found files to the user.

The found files are displayed in a listview. Pressing the 'Add All' button adds all files to the current project, the 'Add Selected' button adds only the selected files and the 'Cancel' button cancels the operation.

### Derived from

AddFoundFilesForm

### Methods

AddFoundFilesDialog | Constructor
getSelection | Public method to return the selected items.
handleAll | Private slot to handle the 'Add All' button press.
handleSelected | Private slot to handle the 'Add Selected' button press.
isSelected | Public method telling whether an item is selected in the listbox.

### AddFoundFilesDialog (Constructor)

AddFoundFilesDialog(files, parent = None, name = None, modal = 0, fl = 0)

Constructor

files
  list of files, that have been found for addition (QStringList)
parent
  parent widget of this dialog (QWidget)
name
  name of this dialog (string or QString)
modal
  flag to indicate a modal dialog (boolean)
fl
  window flags

### AddFoundFilesDialog.getSelection

getSelection()

Public method to return the selected items.

Returns:
  list of selected files (QStringList)

### AddFoundFilesDialog.handleAll

handleAll()

Private slot to handle the 'Add All' button press.

Returns:
  always 1 (int)

### AddFoundFilesDialog.handleSelected

handleSelected()

Private slot to handle the 'Add Selected' button press.

Returns:
  always 2 (int)

### AddFoundFilesDialog.isSelected

isSelected(index)

Public method telling whether an item is selected in the listbox.

index
  index of the item to check

Returns:
  flag indicating the selection status of the item (boolean)

Up